Bug 783274 - [RFE] Create NIS map for ethers table
Summary: [RFE] Create NIS map for ethers table
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-19 20:24 UTC by Dmitri Pal
Modified: 2013-02-21 09:09 UTC (History)
3 users (show)

Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Allow MAC address attribute for host entries in Identity Management and publish them in Identity Management NIS server. Reason: Administrators may want to assign MAC addresses for hosts configured in Identity Management and have it served for other services, like DHCP. Result (if any): Administrators may use --macaddress option to configure a MAC address(es) for an Identity Management host entry. When NIS is enabled, MAC address can be read via ethers map.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:09:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 08:22:21 UTC

Description Dmitri Pal 2012-01-19 20:24:28 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2259

Ticket 1132 adds support for tracking the host MAC address.

Add a new NIS map for the ethers file taking advantage of this data.

Comment 1 Martin Kosek 2012-04-30 07:46:31 UTC
This RFE was closed upstream:

1c26c06d61a72150478e8e529d36bc7eb3650f0c
74b42cc89ce58025f8c8e121d2cb6f2a9557d197
856b9627beaca89fde6904cdea398ac817faf321

Comment 2 Jenny Severance 2012-06-07 21:17:55 UTC
Please add information on this new feature, how to test .. is there a design page?

Comment 3 Rob Crittenden 2012-06-07 21:51:39 UTC
There is no design page, this is very simple.

There are two newly indexed attributes: fqdn, macAddress

There is now an area in the compat tree for computers:

% ipa host-add test.example.com --macaddress=00:50:56:06:E7:F3
% ldapsearch -LLL -Y GSSAPI -b cn=computers,cn=compat,dc=example,dc=comdn: cn=tove.example.com,cn=computers,cn=compat,dc=example,dc=com
objectClass: device
objectClass: ieee802Device
objectClass: top
cn: tove.example.com
macAddress: 00:50:56:06:E7:F3

And now test over nis:

# ipa-nis-manage enable
# service dirsrv restart
# service rpcbind restart
#  ypcat -d example.com -h localhost ethers
00:50:56:06:E7:F3 tove.example.com

Comment 5 Scott Poore 2012-11-27 01:24:00 UTC
Verified.

Version ::

ipa-server-3.0.0-8.el6.x86_64

Manual Test Results ::

[root@rhel6-1 log]# ipa host-mod $(hostname) --macaddress=52:54:00:44:3e:d3
------------------------------------
Modified host "rhel6-1.testrelm.com"
------------------------------------
  Host name: rhel6-1.testrelm.com
  Principal name: host/rhel6-1.testrelm.com@TESTRELM.COM
  MAC address: 52:54:00:44:3E:D3
  Password: False
  Keytab: True
  Managed by: rhel6-1.testrelm.com
  SSH public key fingerprint: 4F:9D:18:66:63:BF:33:53:D7:E5:54:B0:BD:F0:51:72 (ssh-dss),
                              33:2D:8A:87:5D:00:49:99:4A:24:BD:4A:22:A4:F3:FE (ssh-rsa)

[root@rhel6-1 log]# echo $ADMINPW|ipa-compat-manage enable

Plugin already Enabled
[root@rhel6-1 log]# echo $ADMINPW|ipa-nis-manage enable

Plugin already Enabled
[root@rhel6-1 log]# service rpcbind restart
Stopping rpcbind:                                          [  OK  ]
Starting rpcbind:                                          [  OK  ]

[root@rhel6-1 log]# ypcat -d testrelm.com -h localhost ethers
52:54:00:44:3E:D3 rhel6-1.testrelm.com

Comment 7 errata-xmlrpc 2013-02-21 09:09:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html


Note You need to log in before you can comment on or make changes to this bug.